%define distro Fedora
%define distrorelease 12
%define distroname f12
%define pldistro onelab
%define plrelease 5.0

%define url $URL: http://svn.planet-lab.org/svn/sfa/trunk/sfa.spec $

%define name sface
%define version 0.1
%define taglevel 3

%define release %{taglevel}%{?pldistro:.%{pldistro}}%{?date:.%{date}}

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor: PlanetLab
Packager: PlanetLab Central <support@planet-lab.org>
Distribution: PlanetLab %{plrelease}
URL: %(echo %{url} | cut -d ' ' -f 2)
Summary: GUI for sfi.py from SFA
Group: Applications/System

BuildRequires: make
Requires: python >= 2.5
Requires: PyQt4
Requires: sfa-client

%description
this package provides GUI for sfi.py, i.e.
the Slice-Based Facility Architecture (SFA) command line interface.
The GUI let you manage you slices by adding/deleting nodes and viewing
the slice's RSpec with an XML pretty printer.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" datadir="%{_datadir}" bindir="%{_bindir}" install
rm -f $RPM_BUILD_ROOT/%{_datadir}/*.egg-info
# symlinking sface to sface-run, relative
cd $RPM_BUILD_ROOT/%{_bindir}
ln -sf ./sface-run ./sface

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/sface
%{_bindir}/sface-run
%{_datadir}/sface/*

%changelog
* Thu Oct 14 2010 Baris Metin <Talip-Baris.Metin@sophia.inria.fr> - sface-0.1-3
- sface-0.1-3, with improvement on process output.

* Mon Sep 27 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-2
- initial version with rpm packaging

* Fri Sep 24 2010 Giovanni Gherdovich <ggherdov@sophia.inria.fr>
- initial package
